Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.imageio
Class PlanarImageLoaderBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--com.vistech.jai.imageio.PlanarImageLoaderBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class PlanarImageLoaderBeanInfo
extends java.beans.SimpleBeanInfo

The bean info class for PlanarImageLoader bean.

Version:
  1.0 21 Jan 1997
Author:
  Lawrence Rodrigues

Field Summary
`protected java.lang.Class` | `loaderClass`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`PlanarImageLoaderBeanInfo()`

Method Summary
`java.beans.BeanDescriptor` | `getBeanDescriptor()`
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()` Constructs event set descriptor image loaded event.
`java.awt.Image` | `getIcon(int iconType)`
`java.beans.MethodDescriptor[]` | `getMethodDescriptors()` Constructs method descriptors for all the public methods in the Loader class.

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loaderClass

    protected java.lang.Class loaderClass

Constructor Detail

### PlanarImageLoaderBeanInfo

    public PlanarImageLoaderBeanInfo()

Method Detail

### getIcon

    public java.awt.Image getIcon(int iconType)

  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`

### getMethodDescriptors

    public java.beans.MethodDescriptor[] getMethodDescriptors()

  Constructs method descriptors for all the public methods in the Loader class.
  Overrides:
    `getMethodDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    an array of Method descriptors.

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Overrides:
    `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

  Constructs event set descriptor image loaded event.
  Overrides:
    `getEventSetDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    an array of event set descriptors.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD